/***********************************************************************

GECCO, a platform for command and control gaming

Copyright (C) 2001 Henrik Brnhielm, Andreas Enblom, Niklas
Hallenfur, Karl Hasselstrm, Henrik Hgerstrm, Oskar Linde, Jing Fu
Zi and Jon slund

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
USA.

***********************************************************************/

package gecco.communication.messages;
import gecco.communication.messages.ServerMessage;

/**
 *  This message is put in the send queue on the server part of the
 *  communication, when the server calls unitPropertyChanged
 *
 * @author     Niklas Hallenfur
 * @created    June 27, 2001
 */

public class UnitPropertyChangedMessage extends ServerMessage {
    /**
     *  Description of the Field
     */
    public int handle;
    /**
     *  Description of the Field
     */
    public String key;
    /**
     *  Description of the Field
     */
    public String newValue;


    /**
     *  Constructor for the UnitPropertyChangedMessage object
     *
     * @param  handle    Description of Parameter
     * @param  key       Description of Parameter
     * @param  newValue  Description of Parameter
     */
    public UnitPropertyChangedMessage(int handle, String key, String newValue) {
        this.handle = handle;
        this.key = key;
        this.newValue = newValue;
    }
}
