/***********************************************************************

GECCO, a platform for command and control gaming

Copyright (C) 2001 Henrik Brnhielm, Andreas Enblom, Niklas
Hallenfur, Karl Hasselstrm, Henrik Hgerstrm, Oskar Linde, Jing Fu
Zi and Jon slund

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
USA.

***********************************************************************/

package gecco.communication.messages;
import java.util.*;

/**
 *  This message is put in the send queue on the server part of the
 *  communication, when the server calls unitVisible
 *
 * @author     Niklas Hallenfur
 * @created    June 27, 2001
 */

public class UnitVisibleMessage extends ServerMessage {
    /**
     *  Description of the Field
     */
    public int handle;
    /**
     *  Description of the Field
     */
    public String name;
    /**
     *  Description of the Field
     */
    public String type;
    /**
     *  Description of the Field
     */
    public double x;
    /**
     *  Description of the Field
     */
    public double y;
    /**
     *  Description of the Field
     */
    public Set unblockedActions;
    /**
     *  Description of the Field
     */
    public Set blockedActions;
    /**
     *  Description of the Field
     */
    public Map properties;


    /**
     *  Constructor for the UnitVisibleMessage object
     *
     * @param  handle            Description of Parameter
     * @param  name              Description of Parameter
     * @param  type              Description of Parameter
     * @param  x                 Description of Parameter
     * @param  y                 Description of Parameter
     * @param  unblockedActions  Description of Parameter
     * @param  blockedActions    Description of Parameter
     * @param  properties        Description of Parameter
     */
    public UnitVisibleMessage(int handle, String name, String type,
            double x, double y, Set unblockedActions,
            Set blockedActions, Map properties) {
        this.handle = handle;
        this.name = name;
        this.type = type;
        this.x = x;
        this.y = y;
        this.unblockedActions = unblockedActions;
        this.blockedActions = blockedActions;
        this.properties = properties;
    }
}
