/***********************************************************************

GECCO, a platform for command and control gaming

Copyright (C) 2001 Henrik Brnhielm, Andreas Enblom, Niklas
Hallenfur, Karl Hasselstrm, Henrik Hgerstrm, Oskar Linde, Jing Fu
Zi and Jon slund

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
USA.

***********************************************************************/

package gecco.server.automaton;

/**
 *  An AutomatonEvent is an event that affects an automaton.
 *
 * @author     Henrik Hgerstrm
 * @created    April 23, 2001
 */
public class AutomatonEvent {

    /**
     *  Description of the Field
     */
    private String eventName;
    /**
     *  Description of the Field
     */
    private int factor;


    /**
     *  Constructor for the AutomatonEvent object
     *
     * @param  eventName  The name of the event
     * @param  factor     The factor of the event
     */
    public AutomatonEvent(String eventName, int factor) {
        this.eventName = eventName;
        this.factor = factor;
    }


    /**
     *  Gets the EventName attribute of the AutomatonEvent object
     *
     * @return    The EventName value
     */
    public String getEventName() {
        return eventName;
    }


    /**
     *  Gets the Factor attribute of the AutomatonEvent object
     *
     * @return    The Factor value
     */
    public int getFactor() {
        return factor;
    }
}
