/***********************************************************************

GECCO, a platform for command and control gaming

Copyright (C) 2001 Henrik Brnhielm, Andreas Enblom, Niklas
Hallenfur, Karl Hasselstrm, Henrik Hgerstrm, Oskar Linde, Jing Fu
Zi and Jon slund

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
USA.

***********************************************************************/

package gecco.server.automaton;

import gecco.server.core.UnitEvent;

/**
 *  Description of the Class
 *
 * @author     Henrik Hgerstrm
 * @created    April 23, 2001
 */
public class AutomatonReturnQueueSelfAndNeighbours extends AutomatonReturn {

    /**
     *  Constructor for the AutomatonReturnQueueSelfAndNeighbours object
     *
     * @param  _selfTimeToExecution        Description of Parameter
     * @param  _neighboursTimeToExecution  Description of Parameter
     */
    public AutomatonReturnQueueSelfAndNeighbours(double _selfTimeToExecution,
            double _neighboursTimeToExecution) {
        selfTimeToExecution = Math.round(1000 * _selfTimeToExecution);
        neighboursTimeToExecution = Math.round(1000 * _neighboursTimeToExecution);
    }


    /**
     *  Constructor for the AutomatonReturnQueueSelfAndNeighbours object
     *
     * @param  _selfTimeToExecution        Description of Parameter
     * @param  _neighboursTimeToExecution  Description of Parameter
     * @param  unitEvent                   Description of Parameter
     */
    public AutomatonReturnQueueSelfAndNeighbours(double _selfTimeToExecution,
            double _neighboursTimeToExecution,
            UnitEvent unitEvent) {
        this(_selfTimeToExecution, _neighboursTimeToExecution);
        event = unitEvent;
    }

}
