/***********************************************************************

GECCO, a platform for command and control gaming

Copyright (C) 2001 Henrik Brnhielm, Andreas Enblom, Niklas
Hallenfur, Karl Hasselstrm, Henrik Hgerstrm, Oskar Linde, Jing Fu
Zi and Jon slund

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
USA.

***********************************************************************/

package gecco.server.visibility;

/**
 *  Description of the Class
 *
 * @author     Karl Hasselstrm
 * @created    June 27, 2001
 */
public class Point implements Comparable {
    /**
     *  Description of the Field
     */
    public int x;
    /**
     *  Description of the Field
     */
    public int y;


    /**
     *  Constructor for the Point object
     *
     * @param  x  Description of Parameter
     * @param  y  Description of Parameter
     */
    public Point(int x, int y) {
        this.x = x;
        this.y = y;
    }


    /**
     *  Description of the Method
     *
     * @param  o  Description of Parameter
     * @return    Description of the Returned Value
     */
    public int compareTo(Object o) {
        // Cause a ClassCastException here if someone attempts to
        // compare a Point to something that isn't a Point
        Point other = (Point) o;

        int deltaY = y - other.y;
        if (deltaY != 0) {
            return deltaY;
        }
        int deltaX = x - other.x;
        return deltaX;
    }


    /**
     *  Description of the Method
     *
     * @param  o  Description of Parameter
     * @return    Description of the Returned Value
     */
    public boolean equals(Object o) {
        return (compareTo(o) == 0);
    }
}
